# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name JSON-Feed
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Syndication with JSON.
Group: Development/Perl
License: see LICENSE
URL: https://github.com/gugod/JSON-Feed

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUGOD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
JSON Feed is a simple format for website syndication
with JSON, instead of XML.

This module implements minimal amout of API for parsing and/or generating such
feeds. The users of this module should glance over the jsonfeed spec in order
to correctly generate a JSON::Feed.

Here's a short but yet comprehensive Type mapping between jsonfeed spec and
perl.

    | jsonfeed | perl                       |
    |----------+----------------------------|
    | object   | HashRef                    |
    | boolean  | JSON::true, or JSON::false |
    | string   | Str                        |
    | array    | ArrayRef                   |

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/J*

%changelog
* Mon Mar 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

